﻿<div class="page-content">
    <div class="logo-cont">
        <img src="img/logo.png" />
    </div>
    <div class="list-block">
        <form name="$parent.SignupForm" ng-submit="submitForm($parent.SignupForm.$valid)" novalidate>
            <ul>
                <li>
                    <div class="item-content" ng-class="submittedSignup && signUpReset && $parent.SignupForm.username.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input name="username" class="form-control"  type="text" placeholder="اسم المستخدم" ng-pattern="nameRegex" ng-model="userForm.username" required ng-minlength="4">
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedSignup && signUpReset  && $parent.SignupForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن أربع أحرف</p>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>
                </li>
                <li>
                    <div class="item-content" ng-class="submittedSignup && signUpReset && $parent.SignupForm.email.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input name="email" class="form-control"  type="email" placeholder="البريد الإلكترونى" ng-pattern="emailRegex" ng-model="userForm.email" required>
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedSignup && signUpReset  && $parent.SignupForm.email.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.email.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                </li>
                <li>
                    <div class="item-content" ng-class="submittedSignup && signUpReset && $parent.SignupForm.password.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input name="password" class="form-control"  type="password" placeholder="كلمة المرور" ng-model="userForm.password" required ng-minlength="6" ng-maxlength="30">
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedSignup && signUpReset  && $parent.SignupForm.password.$error.required" class="error-block">يجب إدخال كلمة السر</p>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.password.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.password.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                </li>
                <li>
                    <div class="item-content" ng-class="submittedSignup && signUpReset && $parent.SignupForm.confirmpassword.$invalid?'has-error':'no-error'">
                        <div class="item-inner">
                            <div class="item-input">
                                <input name="confirmpassword" class="form-control"  type="password" placeholder="تأكيد كلمة المرور" ng-model="userForm.confirmpassword" ng-pattern="userForm.password" required >
                            </div>
                        </div>
                    </div>
                    <p ng-if="submittedSignup && signUpReset && $parent.SignupForm.confirmpassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>              
                  
                    <p ng-if="submittedSignup && signUpReset  && $parent.SignupForm.confirmpassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                </li>
            </ul>
            <p>
                <button type="submit" ng-click="submittedSignup=true" class="button button-round purple">تسجيل</button>
            </p>
            <p>
                <button ng-click="GoBack()" class="button button-round purple">عودة</button>
            </p>
        </form>
    </div>
</div>